Bug Hunting Session
Bug 91794 - Remove conditionals depending on OSL_DEBUG_LEVEL > 1
Summary: Remove conditionals depending on OSL_DEBUG_LEVEL > 1
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-06-01 12:18 UTC by Björn Michaelsen
Modified: 2017-02-14 08:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2015-06-01 12:18:13 UTC
We want consolidate the debug levels and scenarios available in LibreOffice.

The first step is to get rid of OSL_DEBUG_LEVELs higher than 1: 2,3,4,5...

So this task is to:
1/ Find code that is only build if OSL_DEBUG_LEVEL is higher than 1
2/ replace the preprocessor conditional to, depending on situation:
   a/ to assert invariants of the code (that can only be violated if there are programming errors) without major overhead use standard C/C++ assert (see also bug 43157)
   b/ to log warnings about unusual events detectable without too much overhead (that the code nevertheless needs to handle in some way, like malformed input or I/O failures), use the SAL_WARN... macros from sal/log.h
   c/ to log other information useful for debugging, use the SAL_INFO macros
   d/ for code that significantly impacts runtime performance, code size or memory footprint consider triggering it on well-named custom macro flag name DEBUG_$module_$topic, e.g. DEBUG_SW_LAYOUT
   e/ for code that seems not to warrant a topic name, use "#ifdef 0" to disable the code unconditionally

In general, when touching an area of code, make sure the code compiles and passes tests. It makes no sense to have even "#ifdef 0" code that is broken.

For more details, see:
- http://nabble.documentfoundation.org/Consolidating-debugging-levels-via-Easy-Hacks-td4149516.html and 
- http://nabble.documentfoundation.org/minutes-of-ESC-call-td4149776.html
Comment 1 Robinson Tryon (qubit) 2015-12-10 11:41:02 UTC Comment hidden (obsolete)
Comment 2 Eike Rathke 2016-02-11 12:00:15 UTC
PLEASE do not blindly disable test code that was in #if OSL_DEBUG_LEVEL > 1, rather change it to be always run in debug/dbgutil builds, so #if OSL_DEBUG_LEVEL > 0
Comment 3 Rohan Kumar 2016-02-11 12:03:33 UTC
(In reply to Eike Rathke from comment #2)
> PLEASE do not blindly disable test code that was in #if OSL_DEBUG_LEVEL > 1,
> rather change it to be always run in debug/dbgutil builds, so #if
> OSL_DEBUG_LEVEL > 0

I'm sorry. let me update the patch!
Comment 4 Robinson Tryon (qubit) 2016-02-18 14:52:09 UTC Comment hidden (obsolete)
Comment 5 Björn Michaelsen 2016-03-03 16:35:39 UTC
Details have been discussed on the ESC call:
         + Discuss of when to use #if 0, and to use/not use #ifdef <module>_DEBUG
             + lack of consensus here.
         + rationale so far (Bjoern)
             + we have two somewhat tinderboxed/CIed debug levels:
                 + compatible build
                      (--enable-debug/--enable-selective-debuginfo/"make sfx.clean && make debug=t sfx2")
                      => must be compatible with rest of the build being non-debug
                 + incompatible build (--enable-dbgutil)
                      => must be compatible with rest of the build being dbgutil
             + IMHO it doesnt make sense to have more than these two debug levels (would bitrot anyway):
                 => move all code in one of those or kill it
             + some code v. expensive / specifix (Norbert)
                 + sympathetic to having it around.
                 + dislike #if OSL_DEBUG_LEVEL > 1 etc. (Bjoern)
             + there are valid use cases for _DEBUG code (Eike/[Moggi])
                 + see for example DEBUG_MATRIX in calc
                 + code for debugging complex data structures
                 + impossible to debug some parts of the code without such code
                     + impossible to write that code each time you need to debug it
             + agree with removing several debug levels (Eike)
                 + but leave DEBUG_FOO macros
                 + doing it blindly a problem; needs some insight & review.
             + could handle macros similarly for config feature-tests (Stephan)
                 + where we define them as all as zero
                 + and everywhere #if DEBUG_FOO etc. so we don't get
                   new ones of these
                 + could change them all to 1 to avoid bit-rot
                 + good to document them centrally.
                 + concern wrt. ripple include (Michael)
          + we have around 15 pending (JanI)
              + concerned wrt. actions on review feedback.
          + wine has some complex debug env. var (JMux)
              + could be used to turn off expensive stuff (Stephan)
AI:       => switch easy-hack to turn: OSL_DEBUG_LEVEL > 1 to OSL_DEBUG_LEVEL > 0 (Bjoern)
http://nabble.documentfoundation.org/minutes-of-ESC-call-td4177395.html

So, the updated procedure is:
- check if debug code compiles first
- bring OSL_DEBUG_LEVEL > 1 code to OSL_DEBUG_LEVEL > 0 (which is enabled in normal --enable-debug builds and thus should not bit-rot)
- exceptions will be discussed in code review
Comment 6 Commit Notification 2016-03-03 17:01:50 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f59136a2ed1e3eb01cc5b62c5a7da07c34cbdfae

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-03-04 20:12:52 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f164b6e01496655ee0616e16d251e066d99ea73

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-03-04 21:33:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0331002d39244cf9c8944fe291d1d009f919eb5

do the calculation check only conditionally, tdf#91794 follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-03-08 13:29:23 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f80f144cff8d8ddd1d33e7b8ca6dbe2ad8d8491

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-03-08 13:29:27 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=856cf7115d7b52f38371047b4a1aeae747a5d9bc

tdf#91794 Remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-03-08 13:31:50 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26b69a9d0f6ae454ccd57019a68ef96be2568ba5

tdf#91794 Remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-03-08 13:34:11 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=576ab772555ed9f06995d9b5d605c90191500a76

tdf#91794 Remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-03-08 14:02:44 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea3151acb4915e56c702e4edfa92a9b571c3d104

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-03-08 14:08:30 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6326d76101857e94f241dc671c3e3a2a7bf9b031

tdf#91794 Remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2016-03-08 14:24:33 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=466c03f9566344b24aaa70b374daf46054914290

Revert "tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2016-03-08 16:59:16 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05bca569232d0ece0c6700513b7b1351238c85ec

tdf#91794: Remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2016-03-09 07:58:29 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a8c9fde3ba59a278c9ee4d18f099cfeec71fbef

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2016-03-11 11:47:49 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a32bfdfd280b51d1bd5283243e286f056d3986dd

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2016-03-11 12:11:38 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96e44b3b510bc97ddda6caf937d031ae6a656d58

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2016-03-11 14:03:43 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e0c1e03e85ef6a20ca362f263c60b141741f698

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2016-03-11 14:08:35 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=004c233d30a432ba4e8e4c0d0052d34798850bd4

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2016-03-11 23:39:10 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b430ec96e3b131734239305715e2593dc4b57af2

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2016-03-12 14:22:05 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eda245925170eab692143deed367ab11a9adb310

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2016-03-12 14:24:32 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3d454647ae5f0398ce3b38a71ed525bc16c3722

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-03-12 14:27:05 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c3ff8ca07265304f9ea0a7aca8c83703cff01a1

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2016-03-12 14:37:42 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=221144f9c995fe30adf577c02f756b3123fb2550

tdf#91794 OSL_DEBUG_LEVEL > 1 removed (desktop)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2016-03-14 03:15:24 UTC
Norbert Thiebaud committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=982fcf11b763ac1b4cd2b68291ea7d94fe14752d

Revert "tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Björn Michaelsen 2016-03-14 11:49:44 UTC
(In reply to Björn Michaelsen from comment #5)
> So, the updated procedure is:
> - check if debug code compiles first

^^ highlighting this, as http://nabble.documentfoundation.org/Test-Builds-with-vs2013-2015-32-64-bits-rel-debug-dbgutil-td4178456.html suggests it was overlooked before.
Comment 29 Commit Notification 2016-03-15 00:16:35 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afbdde44b85e0d76bbc102188391b296113802dd

tdf#91794 remove OSL_DEBUG_LEVLEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2016-03-15 00:19:07 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b69d253fe4192c7224b4205ca52109070d2df5ed

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2016-03-15 00:19:11 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b64c7f946ad56a7566e117b63657e654afaab2bd

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2016-03-15 00:21:49 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20efe5ebcbc49ef3ea46bb13b8aec05c81b86308

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2016-03-15 00:21:53 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfa7b700480fdc4c52ea91f30bcd274d963721f5

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2016-03-21 17:04:12 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28aaa27438fb3a743792ce821ba1f523a5d9947f

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2016-04-05 10:06:30 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6411207bd83b34b4d6c6fd68cd41d3005228b05

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2016-04-05 10:17:53 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=901d04d3965ed73696586de06c6890e79299f266

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2016-04-05 10:25:46 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0452db13db40e81522fb6bc49136d25b6ffcff41

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2016-04-05 11:03:18 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0161f713c722392796347cf12d94423e218bdc4c

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2016-04-05 12:08:25 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=931d003ade7c4a88f46be1e89b32d58e5eb9d083

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2016-04-05 12:12:24 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc504b08f008b1813a29bb90c226340407c2077b

tdf#91794 OSL_DEBUG_LEVEL > 1 removed in libo/filter module

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2016-04-07 12:18:14 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0de4374fffe7fb72ce0e9006af57092834dfe1e

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2016-04-07 12:20:56 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c829898453d75c0f13ff589b7f8adf8fb062a39f

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2016-04-12 11:51:41 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aba0c20fb059e5cc484af5feae29e6f51e584fa8

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2016-04-12 11:54:31 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77ba9d7e3055d69667e6c3545f311492a34056c6

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2016-04-12 11:54:35 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35d7ca80930997febb31eb7cdd95eeb684514bec

tdf#91794 remove OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2016-04-12 11:57:22 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31bddb874d2be54b81cdd7ea142b58db18e11a5b

tdf#91794 removed OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2016-04-14 09:27:48 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81c9d54db34647fb1db311b228de6749c089dcf8

tdf#91794 removed OSL_DEBUG_LEVEL > 1 conditionals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 jani 2016-05-05 05:52:05 UTC
seems solved (at least seen from a easy hack pow)
Comment 49 Commit Notification 2016-05-06 09:44:43 UTC
Rohan Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c7ce42dfc35d9cceef5f05a96e813b4e3913d38

tdf#91794 OSL_DEBUG_LEVEL > 1 & DBG macro removed (impress/draw)

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.